GNU Radio's CDMA Package

Public Member Functions | List of all members
gr::cdma::flag_gen_impl Class Reference

`#include <flag_gen_impl.h>`

Inheritance diagram for gr::cdma::flag_gen_impl:
[legend]

## Public Member Functions
| flag_gen_impl (int period, int acq)
| ~flag_gen_impl ()
int | get_period () const
int | get_acq () const
void | set_acq (int acq)
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)
virtual void | set_acq (int acq)=0

## Additional Inherited Members
Public Types inherited from gr::cdma::flag_gen
typedef boost::shared_ptr< flag_gen > | sptr
Static Public Member Functions inherited from gr::cdma::flag_gen
static sptr | make (int period, int acq)
| Return a shared_ptr to a new instance of cdma::flag_gen. More...

## Constructor & Destructor Documentation

## ◆ flag_gen_impl()

gr::cdma::flag_gen_impl::flag_gen_impl | ( | int | period,
|  | int | acq
| ) |  |

## ◆ ~flag_gen_impl()

gr::cdma::flag_gen_impl::~flag_gen_impl | ( |  | ) |

## Member Function Documentation

## ◆ get_acq()

int gr::cdma::flag_gen_impl::get_acq | ( |  | ) | const
| inline

## ◆ get_period()

int gr::cdma::flag_gen_impl::get_period | ( |  | ) | const
| inline

## ◆ set_acq()

void gr::cdma::flag_gen_impl::set_acq | ( | int | acq | ) |
| virtual

Implements gr::cdma::flag_gen.

## ◆ work()

int gr::cdma::flag_gen_impl::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) |  |

The documentation for this class was generated from the following file:

- flag_gen_impl.h